Skip to main content
GET
List audit events

Authorizations

Authorization
string
header
required

Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.

Query Parameters

page
integer
default:1

Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100000
perPage
integer
default:25

Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100
sort
string

One sort field; prefix - for descending (sort=field or sort=-field). Allowed: createdAt. Default -createdAt. The server appends id as a tie-breaker.

Example:

"-createdAt"

filter[actionType]
string

Action type (equals).

filter[actionType][in]
string

Action type (one of (comma-separated)). Comma-separated values.

filter[entityType]
string

Entity type (equals).

filter[entityType][in]
string

Entity type (one of (comma-separated)). Comma-separated values.

filter[entityId]
string

Entity id (equals).

filter[actor.type]
enum<string>

Actor type (equals).

Available options:
partner-user,
api-key,
admin-user,
system,
end-customer
filter[actor.type][in]
string

Actor type (one of (comma-separated)). Comma-separated values.

filter[actor.id]
integer

Actor id (equals).

Required range: x >= 0
filter[createdAt][gt]
string<date-time>

Time of the change (download key) (greater than).

filter[createdAt][gte]
string<date-time>

Time of the change (download key) (greater than or equal).

filter[createdAt][lt]
string<date-time>

Time of the change (download key) (less than).

filter[createdAt][lte]
string<date-time>

Time of the change (download key) (less than or equal).

Response

OK

Page envelope of AuditEvent items.

data
object
required

The page.